package com.diaoyun.zion.chinafrica.vo;

import java.util.List;

/**
 * 爬取数据后，返回页面的商品详情数据
 */
public class ProductResponse {

    //原始价格 有优惠的话还有优惠价
    private List<OriginalPrice> originalPrice;
    //促销价格
    private List<ProductPromotion> promotion;
    //一口价，就是商品一开始展示的价格，比如多sku的情况下展示 18.80-49.90
    private String price;
    //库存
    private DynStock dynStock;
    //是否包含商品属性，有些商品没有属性
    private boolean propFlag;
    //商品属性
    private List<ProductProps> propList;
    //商品信息
    private ItemInfo itemInfo;
    //商品来源平台 PlatformEnum
    private String platform;

    public List<OriginalPrice> getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(List<OriginalPrice> originalPrice) {
        this.originalPrice = originalPrice;
    }

    public List<ProductPromotion> getPromotion() {
        return promotion;
    }

    public void setPromotion(List<ProductPromotion> promotion) {
        this.promotion = promotion;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public DynStock getDynStock() {
        return dynStock;
    }

    public void setDynStock(DynStock dynStock) {
        this.dynStock = dynStock;
    }

    public boolean isPropFlag() {
        return propFlag;
    }

    public void setPropFlag(boolean propFlag) {
        this.propFlag = propFlag;
    }

    public List<ProductProps> getPropList() {
        return propList;
    }

    public void setPropList(List<ProductProps> propList) {
        this.propList = propList;
    }

    public ItemInfo getItemInfo() {
        return itemInfo;
    }

    public void setItemInfo(ItemInfo itemInfo) {
        this.itemInfo = itemInfo;
    }

    public String getPlatform() {
        return platform;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }
}
